Package com.smartgwt.client.widgets.calendar.events

# Class DateFieldClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<DateFieldClickHandler>
com.smartgwt.client.widgets.calendar.events.DateFieldClickEvent

All Implemented Interfaces:
  `Cancellable`

public class DateFieldClickEvent extends BrowserEvent<DateFieldClickHandler> implements Cancellable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateFieldClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel()`
  Call this method to cancel the default action
  `protected void`
  `dispatch(DateFieldClickHandler handler)`
  `static <S extends HasDateFieldClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<DateFieldClickHandler>`
  `getAssociatedType()`
  `Date`
  `getDate()`
  JavaScript Date object representing this day
  `ListGridField`
  `getField()`
  field that was clicked
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `static GwtEvent.Type<DateFieldClickHandler>`
  `getType()`
  Gets the type associated with this event.
  `CalendarView`
  `getView()`
  the calendar view showing the field
  `boolean`
  `isCancelled()`

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DateFieldClickEvent

    public DateFieldClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasDateFieldClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<DateFieldClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(DateFieldClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<DateFieldClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<DateFieldClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<DateFieldClickHandler>`

  - ### cancel

    public void cancel()
    Call this method to cancel the default action
    Specified by:
      `cancel` in interface `Cancellable`

  - ### isCancelled

    public boolean isCancelled()
    Specified by:
      `isCancelled` in interface `Cancellable`
    Returns:
      true if cancelled

  - ### getDate

    public Date getDate()
    JavaScript Date object representing this day
    Returns:
      JavaScript Date object representing this day

  - ### getField

    public ListGridField getField()
    field that was clicked
    Returns:
      field that was clicked

  - ### getView

    public CalendarView getView()
    the calendar view showing the field
    Returns:
      the calendar view showing the field